gi-harfbuzz-0.0.10: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.HarfBuzz.Structs.UserDataKeyT

Contents

- Exported types
- Methods

Description

Data structure for holding user-data keys.

Synopsis

- newtype UserDataKeyT = UserDataKeyT (ManagedPtr UserDataKeyT)
- newZeroUserDataKeyT :: MonadIO m => m UserDataKeyT

# Exported types

newtype UserDataKeyT Source #

Memory-managed wrapper type.

Constructors

UserDataKeyT (ManagedPtr UserDataKeyT) |

#### Instances

Instances details

Eq UserDataKeyT Source # |
Instance details Defined in GI.HarfBuzz.Structs.UserDataKeyT Methods (==) :: UserDataKeyT -> UserDataKeyT -> Bool Source # (/=) :: UserDataKeyT -> UserDataKeyT -> Bool Source #
GBoxed UserDataKeyT Source # |
Instance details Defined in GI.HarfBuzz.Structs.UserDataKeyT
ManagedPtrNewtype UserDataKeyT Source # |
Instance details Defined in GI.HarfBuzz.Structs.UserDataKeyT Methods toManagedPtr :: UserDataKeyT -> ManagedPtr UserDataKeyT Source #
TypedObject UserDataKeyT Source # |
Instance details Defined in GI.HarfBuzz.Structs.UserDataKeyT Methods glibType :: IO GType Source #
HasParentTypes UserDataKeyT Source # |
Instance details Defined in GI.HarfBuzz.Structs.UserDataKeyT
tag ~ 'AttrSet => Constructible UserDataKeyT tag Source # |
Instance details Defined in GI.HarfBuzz.Structs.UserDataKeyT Methods new :: MonadIO m => (ManagedPtr UserDataKeyT -> UserDataKeyT) -> [AttrOp UserDataKeyT tag] -> m UserDataKeyT Source #
IsGValue (Maybe UserDataKeyT) Source # | Convert `UserDataKeyT` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.HarfBuzz.Structs.UserDataKeyT Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe UserDataKeyT -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe UserDataKeyT) Source #
type ParentTypes UserDataKeyT Source # |
Instance details Defined in GI.HarfBuzz.Structs.UserDataKeyT type ParentTypes UserDataKeyT = '[] :: [Type]

newZeroUserDataKeyT :: MonadIO m => m UserDataKeyT Source #

Construct a `UserDataKeyT` struct initialized to zero.

# Methods